# Interface ElevationInfoJson

Specifies how graphics are placed on the vertical axis (z). This property may only be used in a SceneView. See https://developers.arcgis.com/web-scene-specification/objects/elevationInfo/.

interface ElevationInfoJson {
featureExpression?: unknown;
featureExpressionInfo?: FeatureExpressionInfoJson;
mode?: ElevationModeJsonType;
offset?: number;
unit?: string;
}

#####
Index

### Properties

featureExpression?
featureExpressionInfo?
mode?
offset?
unit?

##
Properties

### `Optional` featureExpression

featureExpression?: unknown

Deprecated with 1.8, use featureExpressionInfo instead. Ignores geometry z-values.

### `Optional` featureExpressionInfo

featureExpressionInfo?: FeatureExpressionInfoJson

Sets the offset distance, type and other parameters.

### `Optional` mode

mode?: ElevationModeJsonType

Determines how the service elevation values are combined with the basemap elevation.

### `Optional` offset

offset?: number

Offset is always added to the result of the above logic except for `"onTheGround"` where offset is ignored.

### `Optional` unit

unit?: string

A string value indicating the unit for the values in elevationInfo. Applies to both offset and featureExpressionInfo. Defaults to meter if not set. Supported units: "foot", "kilometer", "meter", "mile", "us-foot", "yard".